|
- </font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">ads采用queueexpr( 采用T(“(command/”采用POINT/” /”1,1,0/”)”) );该函数CAD未公开,使用时提前声明下就可以了。可以参考帮助文件中:Tips and Techniques 。</font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">acDocManager->sendStringToExecute(curDoc(), 采用T(“采用POINT 2,2,0 “));该函数在Arx帮助中有详细说明。</font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">acedCommand(RTSTR, 采用T(“采用POINT”), RTSTR,采用T(“5,5,0”), RTNONE);</font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">Windows API 方法
- void SendCmdToAcad(ACHAR *cmd)
- {
- COPYDATASTRUCT cmdMsg;
- cmdMsg.dwData = (DWORD)1;
- cmdMsg.cbData = (DWORD)(采用tcslen(cmd) + 1) * sizeof(ACHAR);
- cmdMsg.lpData = cmd;
- SendMessage(adsw采用acadMainWnd(), WM采用COPYDATA, NULL, (LPARAM)&cmdMsg);
- }</font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">Com 方法
- void SendCommandTest(void)
- {
- IAcadApplicationPtr pApp = acedGetIDispatch(TRUE);
- IAcadDocumentPtr pDoc;
- pApp->get采用ActiveDocument(&pDoc);
- pDoc->SendCommand( 采用T(“采用POINT 4,4,0 “) );
- }</font></p><p style="line-height:35px;text-indent:nullem;text-align:left"><font style="color:rgb(85, 85, 85)">
复制代码 |
|